## org.eclipse.emf.transaction.impl
Class TransactionalEditingDomainImpl.RegistryImpl

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.RegistryImpl

All Implemented Interfaces:
  TransactionalEditingDomain.Registry

Enclosing class:
  TransactionalEditingDomainImpl

    public static final class TransactionalEditingDomainImpl.RegistryImpl

extends Object
implements TransactionalEditingDomain.Registry

Implementation of the global editing domain registry.

This class is not intended to be used by clients.

Field Summary

Fields inherited from interface org.eclipse.emf.transaction.TransactionalEditingDomain.Registry
`INSTANCE`

Constructor Summary
`TransactionalEditingDomainImpl.RegistryImpl()`

Method Summary
`void` `add(String id, TransactionalEditingDomain domain)` Registers an editing domain under the specified ID.
`TransactionalEditingDomain` `getEditingDomain(String id)` Obtains the editing domain having the specified ID.
`TransactionalEditingDomain` `remove(String id)` Removes the editing domain matching the specified ID from the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalEditingDomainImpl.RegistryImpl

    public TransactionalEditingDomainImpl.RegistryImpl()

Method Detail

### getEditingDomain

    public TransactionalEditingDomain getEditingDomain(String id)

  Description copied from interface: `TransactionalEditingDomain.Registry`
  Obtains the editing domain having the specified ID. if the specified domain is registered on the extension point but has not yet been created, then it is first created (using the designated factory) and then returned.

  Specified by:
    `getEditingDomain` in interface `TransactionalEditingDomain.Registry`
  Parameters:
    `id` - the ID to request
  Returns:
    the matching editing domain, or `null` if it is not found and it could not be created from the extension point

### add

    public void add(String id,
                    TransactionalEditingDomain domain)

  Description copied from interface: `TransactionalEditingDomain.Registry`
  Registers an editing domain under the specified ID. This will displace any domain previously registered under this ID. Note that it is not permitted to replace an editing domain that was registered statically on the `org.eclipse.emf.transaction.editingDomains` extension point.

  Specified by:
    `add` in interface `TransactionalEditingDomain.Registry`
  Parameters:
    `id` - the domain ID to register
    `domain` - the domain to register. If its current `ID` is not the registered ID, then it is updated to correspond

### remove

    public TransactionalEditingDomain remove(String id)

  Description copied from interface: `TransactionalEditingDomain.Registry`
  Removes the editing domain matching the specified ID from the registry. Note that it is not permitted to remove an ID that was registered statically on the `org.eclipse.emf.transaction.editingDomains` extension point.

  Specified by:
    `remove` in interface `TransactionalEditingDomain.Registry`
  Parameters:
    `id` - the domain ID to deregister
  Returns:
    the editing domain previously registered under this ID, or `null` if none was registered

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.